## org.omg.CORBA
Class SetOverrideTypeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.SetOverrideTypeHelper

public class SetOverrideTypeHelper
extends java.lang.Object

Helper class for : SetOverrideType

Author:
  OpenORB Compiler

Constructor Summary
`SetOverrideTypeHelper()`

Method Summary
`static SetOverrideType` `extract(Any a)` Extract SetOverrideType from an any
`static java.lang.String` `id()` Return the SetOverrideType IDL ID
`static void` `insert(Any a, SetOverrideType t)` Insert SetOverrideType into an any
`static SetOverrideType` `read(InputStream istream)` Read SetOverrideType from a marshalled stream
`static TypeCode` `type()` Return the SetOverrideType TypeCode
`static void` `write(OutputStream ostream, SetOverrideType value)` Write SetOverrideType into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetOverrideTypeHelper

    public SetOverrideTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              SetOverrideType t)

  Insert SetOverrideType into an any
  Parameters:
    `a` - an any
    `t` - SetOverrideType value

### extract

    public static SetOverrideType extract(Any a)

  Extract SetOverrideType from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted SetOverrideType value

### type

    public static TypeCode type()

  Return the SetOverrideType TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the SetOverrideType IDL ID
  Returns:
    an ID

### read

    public static SetOverrideType read(InputStream istream)

  Read SetOverrideType from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed SetOverrideType value

### write

    public static void write(OutputStream ostream,
                             SetOverrideType value)

  Write SetOverrideType into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - SetOverrideType value